<?php

	if(isset($_POST['zapisz_zmiany']) or isset($_POST['zapisz_zmiany_i_okienko'])){
		if($_POST['nazwa']==NULL){
			komunikat("Błąd!","Wypełnij proszę wszystkie wymagane pola");
		}else{
			$update = mysql_query("UPDATE pokoje SET czy_rozgrywka_rozpoczeta='0',nazwa='".$_POST['nazwa']."',liczba_graczy='".$_POST["liczba_graczy"]."',czas_aktualizacji='".time()."' WHERE id='".$id."' LIMIT 1;");
			if($update){
				if(isset($_POST['zapisz_zmiany'])){
					komunikat("Komunikat","Zmiany zostały zapisane pomyślnie");
					echo"<script>parent.Windows.getWindow('gra_pokoje_gry').refresh();</script>";
					echo'<script type="text/javascript">parent.Odswiez_strone();</script>';
				}else{
					echo"<script>parent.Windows.getWindow('gra_pokoje_gry').refresh();</script>";
					echo'<script type="text/javascript">parent.Odswiez_strone();</script>';
					echo"<script>parent.Windows.getWindow('gra_pokoje_gry_".$id."').close();</script>";
				}
			}else{
				komunikat("Błąd","Błąd SQL: ".mysql_error());
			}
		}
	}



	$sql = mysql_query ("SELECT * FROM pokoje WHERE id='".$id."' LIMIT 1;");
	$row = mysql_fetch_array($sql);

	if(isset($komunikat)){
		komunikat("Komunikat",$komunikat);
	}

	$zaznaczenie[$row['liczba_graczy']] = " selected";

	echo '
		<form name="formPokojeGry" action="?go=edytuj" method="post" class="f-wrap-1">
			<input name="id" value="'.$id.'" type="hidden">
			<div class="req"><b>*</b> Pola wymagane</div>

			<fieldset>

			<h3>Edytuj pokój gry</h3>

			<label for="p1"><b><span>* </span>Nazwa pokoju gry:</b> <input id="nazwa" name="nazwa" type="text" class="f-name" tabindex="1" value=\''.$row['nazwa'].'\' /></label><br>

			<label for="liczba_graczy"><b><span>*</span> Liczba graczy:</b>
				<select name="liczba_graczy" tabindex="2">
					<option value="2"'.$zaznaczenie[2].'>2</option>
					<option value="3"'.$zaznaczenie[3].'>3</option>
					<option value="4"'.$zaznaczenie[4].'>4</option>
					<option value="5"'.$zaznaczenie[5].'>5</option>
					<option value="6"'.$zaznaczenie[6].'>6</option>
					<option value="7"'.$zaznaczenie[7].'>7</option>
					<option value="8"'.$zaznaczenie[8].'>8</option>
				</select>
			</label>

			<br style="clear: both;">
			<div class="f-submit-wrap">
				<input type="submit" name="zapisz_zmiany" value="Zmień pokój gry" class="f-submit" tabindex="3" />
				<input type="submit" name="zapisz_zmiany_i_okienko" value="Zmień pokój gry i zamknij okienko" class="f-submit" />
				<input type="submit" name="anuluj" value="Anuluj" class="f-submit-anuluj" onclick="javascript:parent.Windows.getWindow(\'gra_pokoje_gry_'.$id.'\').close();" />
				<br>
			</div>

			</fieldset>

		</form>
	';

?>